import { Texture } from "pixi.js"
import { Component } from "ecsy"
import { Vector } from "../../Datatypes/MathTypes/vector"

export class SpriteRenderer extends Component {
  texture = <Texture>null
  offset = new Vector(0)

  reset(): void {
    this.texture = null
    this.offset = new Vector(0, 0)
  }
}
